*** ./checks/check-them.osr6	Sat Aug 21 03:29:00 2004
--- ./checks/check-them	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #!/bin/sh
  # Check GNU m4 against examples from the manual source.
  # Copyright (C) 1992 Free Software Foundation, Inc.
  
--- 1,4 ----
! #!/bin/bash
  # Check GNU m4 against examples from the manual source.
  # Copyright (C) 1992 Free Software Foundation, Inc.
  
*** ./checks/get-them.osr6	Thu Mar 31 03:17:00 2005
--- ./checks/get-them	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #!/bin/sh
  # Extract all examples from the manual source.
  # Copyright (C) 1992, 2005 Free Software Foundation, Inc.
  
--- 1,4 ----
! #!/bin/bash
  # Extract all examples from the manual source.
  # Copyright (C) 1992, 2005 Free Software Foundation, Inc.
  
*** ./examples/stackovf.sh.osr6	Sat Aug 21 03:29:00 2004
--- ./examples/stackovf.sh	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #!/bin/sh
  
  # Script to verify that stack overflow is diagnosed properly when
  # there is infinite macro call nesting.
--- 1,4 ----
! #!/bin/bash
  
  # Script to verify that stack overflow is diagnosed properly when
  # there is infinite macro call nesting.
*** ./configure.osr6	Thu Mar 31 03:31:41 2005
--- ./configure	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #! /bin/sh
  # Guess values for system-dependent variables and create Makefiles.
  # Generated by GNU Autoconf 2.59 for GNU M4 1.4.3.
  #
--- 1,4 ----
! #! /bin/bash
  # Guess values for system-dependent variables and create Makefiles.
  # Generated by GNU Autoconf 2.59 for GNU M4 1.4.3.
  #
***************
*** 87,93 ****
  
  # The user is always right.
  if test "${PATH_SEPARATOR+set}" != set; then
!   echo "#! /bin/sh" >conf$$.sh
    echo  "exit 0"   >>conf$$.sh
    chmod +x conf$$.sh
    if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
--- 87,93 ----
  
  # The user is always right.
  if test "${PATH_SEPARATOR+set}" != set; then
!   echo "#! /bin/bash" >conf$$.sh
    echo  "exit 0"   >>conf$$.sh
    chmod +x conf$$.sh
    if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
***************
*** 5430,5436 ****
  
  # The user is always right.
  if test "${PATH_SEPARATOR+set}" != set; then
!   echo "#! /bin/sh" >conf$$.sh
    echo  "exit 0"   >>conf$$.sh
    chmod +x conf$$.sh
    if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
--- 5430,5436 ----
  
  # The user is always right.
  if test "${PATH_SEPARATOR+set}" != set; then
!   echo "#! /bin/bash" >conf$$.sh
    echo  "exit 0"   >>conf$$.sh
    chmod +x conf$$.sh
    if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
*** ./install-sh.osr6	Thu Mar 31 03:41:03 2005
--- ./install-sh	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #!/bin/sh
  # install - install a program, script, or datafile
  
  scriptversion=2005-02-02.21
--- 1,4 ----
! #!/bin/bash
  # install - install a program, script, or datafile
  
  scriptversion=2005-02-02.21
*** ./mkinstalldirs.osr6	Sat Aug 21 03:29:00 2004
--- ./mkinstalldirs	Sun Jul  3 16:12:59 2005
***************
*** 1,4 ****
! #!/bin/sh
  # mkinstalldirs --- make directory hierarchy
  # Author: Noah Friedman <friedman@prep.ai.mit.edu>
  # Created: 1993-05-16
--- 1,4 ----
! #!/bin/bash
  # mkinstalldirs --- make directory hierarchy
  # Author: Noah Friedman <friedman@prep.ai.mit.edu>
  # Created: 1993-05-16
*** ./Configure-OSR6.osr6	Sun Jul  3 16:14:40 2005
--- ./Configure-OSR6	Sun Jul  3 16:14:34 2005
***************
*** 0 ****
--- 1,18 ----
+ #!/bin/sh
+ #
+ HOST=i586-sco-sysv5
+ CFLAGS="-O2"
+ NM="/usr/ccs/bin/nm -p"
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ fi
+ export CC CXX CFLAGS NM
+ rm -f mout-configure
+ ./configure --prefix=/usr/gnu \
+             --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee mout-configure
--- Install-OSR6.osr6	2005-07-03 16:15:10.010000003 -0700
+++ Install-OSR6	2005-07-03 16:15:23.470000016 -0700
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+MOUT=mout-install
+D=/u/tmp/m4
+DESTDIR=$D
+export DESTDIR
+
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+[ -d $D ] && rm -rf $D
+mkdir -p $D
+make install DESTDIR=$D 2>&1 | tee $MOUT